.form-area {
  position: relative;
  width: 100%;
  background: var(--form-bg) no-repeat center center;
  background-size: cover;
}
.form-area .overlay {
  background-color: rgba(0, 0, 0, 0.8);
}

.form-area .content {
  position: relative;
  z-index: 3;
  padding: 3% 5%;
  color: #fff;
  text-align: center;
}

.form-area .content p {
  width: 50%;
  margin: 1rem auto;
  line-height: 1.5rem;
}

.form-area .content form .input {
  justify-content: space-between;
  width: 100%;
  background-color: #fff;
  padding: 1rem;
  padding-left: 1.5rem;
  border-radius: 10px;
  margin-bottom: 1.5rem;
  position: relative;
}

.form-area .content form .input input,
.form-area .content form .input textarea {
  border: none;
  outline: none;
  width: 100%;
  height: auto;
  font-family: inherit;
  font-size: var(--small);
  color: #292929;
}

.form-area .content form .input .error {
  font-size: var(--small);
  color: red;
  position: absolute;
  width: fit-content;
  right: 0.5rem;
  text-align: left;
}

.form-area .content form .input textarea {
  resize: none;
}
.form-area .content form .newsletter {
  align-items: center;
  margin: 2rem 0;
}

.checkbox-wrapper-31:hover .check {
  stroke-dashoffset: 0;
}

.checkbox-wrapper-31 {
  position: relative;
  display: inline-block;
  width: 25px;
  height: 25px;
}
.checkbox-wrapper-31 .background {
  fill: #ccc;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}
.checkbox-wrapper-31 .stroke {
  fill: none;
  stroke: #fff;
  stroke-miterlimit: 10;
  stroke-width: 2px;
  stroke-dashoffset: 100;
  stroke-dasharray: 100;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}
.checkbox-wrapper-31 .check {
  fill: none;
  stroke: #fff;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-width: 2px;
  stroke-dashoffset: 22;
  stroke-dasharray: 22;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}
.checkbox-wrapper-31 input[type="checkbox"] {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  margin: 0;
  opacity: 0;
  -appearance: none;
  -webkit-appearance: none;
}
.checkbox-wrapper-31 input[type="checkbox"]:hover {
  cursor: pointer;
}
.checkbox-wrapper-31 input[type="checkbox"]:checked + svg .background {
  fill: var(--primary-color);
}
.checkbox-wrapper-31 input[type="checkbox"]:checked + svg .stroke {
  stroke-dashoffset: 0;
}
.checkbox-wrapper-31 input[type="checkbox"]:checked + svg .check {
  stroke-dashoffset: 0;
}

.form-area .content form .btn {
  background-color: var(--secondary-color);
}
.form-area .content form .btn:hover {
  background-color: var(--secondary-hover);
}

.location {
  position: relative;
  margin-top: 0rem;
  gap: 0;
  width: 100%;
  align-items: flex-start;
}
.location .details {
  width: 30%;
  color: #fff;
}
.location .details .contacts {
  background-color: var(--primary-color);
  padding: 5%;
}
.location .details .contacts p.subtext {
  margin: 1rem 0;
}
.location .details .contacts .flex {
  margin-bottom: 1rem;
  align-items: flex-start;
}
.location .details .contacts .flex .fa-solid {
  color: var(--secondary-color);
  font-size: 1.2rem;
  margin-right: 0.5rem;
  margin-top: 0.2rem;
}
.location .details .operating-hours {
  background-color: var(--secondary-color);
  text-align: center;
  height: 6.6rem;
}
.location .map {
  height: 435px;
  /* height: clamp(405px, 8vw + 360px, 439px); */
  width: 70%;
  display: flex;
  overflow: hidden;
}
.location .map iframe {
  width: 100%;
  /* height: 470px !important; */
}

@media screen and (max-width: 1024px) {
  .location .map {
    height: 449px;
  }
  .location .details .operating-hours{
      height: 6.3rem;
  }
}

@media screen and (max-width: 768px) {
  .location .details {
    width: 40%;
  }
  .location .map {
    height: 405px;
  }
  .location .details .operating-hours{
      height: 5.9rem;
  }
}

@media screen and (max-width: 550px) {
  .location .details,
  .form-area .content p,
  .form-area .content form .btn {
    width: 100%;
  }
  .form-area .contact-details {
    flex-direction: column;
    gap: unset;
  }
  .form-area .content form .newsletter {
    justify-content: space-between;
  }
  .form-area .content form .newsletter label {
    text-align: left;
    width: 80%;
  }
  .location{
    flex-direction: column;
  }
  .location .details .operating-hours{
      display: none;
  }
  .location .map{
    width: 100%;
  }
  .location .details .contacts h4,
  .location .details .contacts p.subtext {
    text-align: center;
  }
  .location .details .contacts .flex {
    justify-self: center;
  }
  .location .details .contacts .flex .fa-solid {
    font-size: 1rem;
  }
}

@media screen and (max-width: 425px) {
}
